# osgParticle::PointPlacer Class Reference

A point-shaped particle placer. More...

Inheritance diagram for osgParticle::PointPlacer:

[legend]
List of all members.

## Public Member Functions

| PointPlacer ()
| PointPlacer (const PointPlacer &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgParticle, PointPlacer)
void | place (Particle *P) const
| Place a particle.

## Protected Member Functions

virtual | ~PointPlacer ()
PointPlacer & | operator= (const PointPlacer &)

## Detailed Description

A point-shaped particle placer.

This placer class uses the center point defined in its base class `CenteredPlacer` to place there all incoming particles.

## Constructor & Destructor Documentation

osgParticle::PointPlacer::PointPlacer | ( |  | ) | `[inline]`

osgParticle::PointPlacer::PointPlacer | ( | const PointPlacer & | copy,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) | `[inline]`

virtual osgParticle::PointPlacer::~PointPlacer | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

osgParticle::PointPlacer::META_Object | ( | osgParticle | ,
|  | PointPlacer |
| ) |

PointPlacer& osgParticle::PointPlacer::operator= | ( | const PointPlacer & |  | ) | `[inline, protected]`

void osgParticle::PointPlacer::place | ( | Particle * | P | ) | const`[inline, virtual]`

| Place a particle. This method is called automatically by `ModularEmitter` and should not be called manually. Implements osgParticle::Placer.

The documentation for this class was generated from the following file:

- PointPlacer